Skip to main content
`Ctrl`+`K`

# SNESFASCycleGetSmootherUp

Gets the up smoother on a particular cycle level.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASCycleGetSmootherUp(SNES snes, SNES *smoothu)

Logically Collective

## Input Parameter

- snes - the `SNESFAS` obtained with `SNESFASGetCycleSNES()`

## Output Parameter

- smoothu - the smoother

## Note

Returns the downsmoother if no up smoother is available. This enables transparent default behavior in the process of the solve.

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESFAS`, `SNESFASCycleGetSmoother()`, `SNESFASCycleGetSmootherDown()`, `SNESFASGetCycleSNES()`

## Level

advanced

## Location

src/snes/impls/fas/fasfunc.c

Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages